org.apache.fontbox.ttf.table.gsub

## Class LookupTypeSingleSubstFormat2

- java.lang.Object
- - org.apache.fontbox.ttf.table.common.LookupSubTable
  - - org.apache.fontbox.ttf.table.gsub.LookupTypeSingleSubstFormat2

    public class LookupTypeSingleSubstFormat2
    extends LookupSubTable

This class is a part of the GSUB — Glyph Substitution Table system of tables in the Open Type Font specs. This is a part of the LookupType 1: Single Substitution Subtable. It specifically models the Single Substitution Format 2.

Author:
  Palash Ray

### Constructor Summary

Constructors
Constructor and Description
`LookupTypeSingleSubstFormat2(int substFormat, CoverageTable coverageTable, int[] substituteGlyphIDs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `doSubstitution(int gid, int coverageIndex)`
`int[]` `getSubstituteGlyphIDs()`
`String` `toString()`

### Methods inherited from class org.apache.fontbox.ttf.table.common.LookupSubTable

`getCoverageTable, getSubstFormat`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LookupTypeSingleSubstFormat2

    public LookupTypeSingleSubstFormat2(int substFormat,
                                        CoverageTable coverageTable,
                                        int[] substituteGlyphIDs)

### Method Detail

#### doSubstitution

    public int doSubstitution(int gid,
                              int coverageIndex)

Specified by:
  `doSubstitution` in class `LookupSubTable`

#### getSubstituteGlyphIDs

    public int[] getSubstituteGlyphIDs()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`